REST API›Wallet & Transact›Transaction request

DEL

Delete signature shares on a transaction request

Allows users to clear the signature shares on a transaction request. This will also set the state to pendingUserSignature. Use only with MPC wallets.

Path Params

  • walletId string required
    The ID of the wallet
  • txRequestId string uuid required
    The ID of the transaction request

Body Params

object

Delete Signature Shares Request Body

The optional request body for clearing the signature shares on a transaction request.

  • skipRebuild boolean

    Skip rebuilding the transaction request after clearing signature shares.

    When true, only the signature shares are deleted and the transactions are not rebuilt.

Responses

200
OK

Response Body

array of objects

  • vssProof string
    The VSS proof of the signature share
  • privateShareProof string
    The private share proof
  • publicShare string
    The public share
  • from string enum required
    The source of the signature share.
    userbackupbitgo
  • to string enum required
    The recipient of the signature share.
    userbackupbitgo
  • share string required
    The signature share
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
403
Forbidden

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
404
Not Found

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id